#ifndef __DS1302_H
#define __DS1302_H
#include "sys.h"

//IO
#define DS1302_IO_IN()  {GPIOA->CRL&=0XFFFFFF0F;GPIOA->CRL|=8<<4;}
#define DS1302_IO_OUT() {GPIOA->CRL&=0XFFFFFF0F;GPIOA->CRL|=3<<4;}

//IO									   
#define	DS1302_DATA_OUT PAout(1) //ݶ˿	
#define	DS1302_DATA_IN  PAin(1)  //ݶ˿	

#define	DS1302_SCK  PAout(0)
#define	DS1302_RST  PAout(2)

//DS1302ַ
#define ds1302_sec_add			  0x80		//ݵַ
#define ds1302_min_add			  0x82		//ݵַ
#define ds1302_hr_add			    0x84		//ʱݵַ
#define ds1302_date_add			  0x86		//ݵַ
#define ds1302_month_add		  0x88		//ݵַ
#define ds1302_day_add			  0x8a		//ݵַ
#define ds1302_year_add			  0x8c		//ݵַ
#define ds1302_control_add		0x8e		//ݵַ
#define ds1302_charger_add		0x90 					 
#define ds1302_clkburst_add		0xbe

void DS1302_Init(void);
void DS1302_Write_Byte(u8 addr, u8 data);
u8 DS1302_Read_Byte(u8 addr);
void DS1302_Write_Time(void);
void DS1302_Read_Time(void);
void DS1302_Get_Time(u8 *time);

#endif
