#include "usart.h"

void uart_init(u32 bound) {
    //GPIO˿
    GPIO_InitTypeDef GPIO_InitStructure;
    USART_InitTypeDef USART_InitStructure;
    NVIC_InitTypeDef NVIC_InitStructure;

    RCC_APB2PeriphClockCmd(RCC_APB2Periph_USART1|RCC_APB2Periph_GPIOA, ENABLE);	//ʹUSART1GPIOAʱ

    //USART1_TX   GPIOA.9
    GPIO_InitStructure.GPIO_Pin = GPIO_Pin_9; //PA.9
    GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;
    GPIO_InitStructure.GPIO_Mode = GPIO_Mode_AF_PP;	//
    GPIO_Init(GPIOA, &GPIO_InitStructure);//ʼGPIOA.9

    //USART1_RX	  GPIOA.10ʼ
    GPIO_InitStructure.GPIO_Pin = GPIO_Pin_10;//PA10
    GPIO_InitStructure.GPIO_Mode = GPIO_Mode_IN_FLOATING;//
    GPIO_Init(GPIOA, &GPIO_InitStructure);//ʼGPIOA.10

    //Usart1 NVIC 
    NVIC_InitStructure.NVIC_IRQChannel = USART1_IRQn;
    NVIC_InitStructure.NVIC_IRQChannelPreemptionPriority=3 ;//ռȼ3
    NVIC_InitStructure.NVIC_IRQChannelSubPriority = 3;		//ȼ3
    NVIC_InitStructure.NVIC_IRQChannelCmd = ENABLE;			//IRQͨʹ
    NVIC_Init(&NVIC_InitStructure);	//ָĲʼVICĴ

    //USART ʼ
    USART_InitStructure.USART_BaudRate = bound;//ڲ
    USART_InitStructure.USART_WordLength = USART_WordLength_8b;//ֳΪ8λݸʽ
    USART_InitStructure.USART_StopBits = USART_StopBits_1;//һֹͣλ
    USART_InitStructure.USART_Parity = USART_Parity_No;//żУλ
    USART_InitStructure.USART_HardwareFlowControl = USART_HardwareFlowControl_None;//Ӳ
    USART_InitStructure.USART_Mode = USART_Mode_Rx | USART_Mode_Tx;	//շģʽ

    USART_Init(USART1, &USART_InitStructure); //ʼ1
    USART_ITConfig(USART1, USART_IT_RXNE, ENABLE);//ڽж
    USART_Cmd(USART1, ENABLE);                    //ʹܴ1
}

void UART1_SendCode(u8 *DATA,u8 len)
{
    USART_ClearFlag(USART1,USART_FLAG_TC);    //֮ǰշͱ־  ûһ ׶ һ׶ʧ
    while(len--)
    {
        USART_SendData(USART1, *DATA++);
        while(USART_GetFlagStatus(USART1,USART_FLAG_TC)!=SET);//ȴͽ
    }
}


void USART1_IRQHandler(void)                	//1жϷ
{
//    u8 Res;

    if(USART_GetITStatus(USART1, USART_IT_RXNE) != RESET)
    {
//        Res =USART_ReceiveData(USART1);	//ȡյ
    }

}

