#include "sys.h"
#include "usart.h"

u8 USART_RX_BUF[USART_REC_LEN];     //ջ,USART_REC_LENֽ.

u16 USART_RX_STA=0;       //״̬

//ʼIO 1
//bound:
void uart_init(u32 bound) {
    //GPIO˿
    GPIO_InitTypeDef GPIO_InitStructure;
    USART_InitTypeDef USART_InitStructure;
    NVIC_InitTypeDef NVIC_InitStructure;

    RCC_AHB1PeriphClockCmd(RCC_AHB1Periph_GPIOA,ENABLE); //ʹGPIOAʱ
    RCC_APB2PeriphClockCmd(RCC_APB2Periph_USART1,ENABLE);//ʹUSART1ʱ

    //1ӦŸӳ
    GPIO_PinAFConfig(GPIOA,GPIO_PinSource9,GPIO_AF_USART1); //GPIOA9ΪUSART1
    GPIO_PinAFConfig(GPIOA,GPIO_PinSource10,GPIO_AF_USART1); //GPIOA10ΪUSART1

    //USART1˿
    GPIO_InitStructure.GPIO_Pin = GPIO_Pin_9 | GPIO_Pin_10; //GPIOA9GPIOA10
    GPIO_InitStructure.GPIO_Mode = GPIO_Mode_AF;//ù
    GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;	//ٶ50MHz
    GPIO_InitStructure.GPIO_OType = GPIO_OType_PP; //츴
    GPIO_InitStructure.GPIO_PuPd = GPIO_PuPd_UP; //
    GPIO_Init(GPIOA,&GPIO_InitStructure); //ʼPA9PA10

    //USART1 ʼ
    USART_InitStructure.USART_BaudRate = bound;//
    USART_InitStructure.USART_WordLength = USART_WordLength_8b;//ֳΪ8λݸʽ
    USART_InitStructure.USART_StopBits = USART_StopBits_1;//һֹͣλ
    USART_InitStructure.USART_Parity = USART_Parity_No;//żУλ
    USART_InitStructure.USART_HardwareFlowControl = USART_HardwareFlowControl_None;//Ӳ
    USART_InitStructure.USART_Mode = USART_Mode_Rx | USART_Mode_Tx;	//շģʽ
    USART_Init(USART1, &USART_InitStructure); //ʼ1

    USART_Cmd(USART1, ENABLE);  //ʹܴ1

    USART_ClearFlag(USART1, USART_FLAG_TC);

    USART_ITConfig(USART1, USART_IT_RXNE, ENABLE);//ж

    //Usart1 NVIC 
    NVIC_InitStructure.NVIC_IRQChannel = USART1_IRQn;//1жͨ
    NVIC_InitStructure.NVIC_IRQChannelPreemptionPriority=3;//ռȼ3
    NVIC_InitStructure.NVIC_IRQChannelSubPriority =3;		//ȼ3
    NVIC_InitStructure.NVIC_IRQChannelCmd = ENABLE;			//IRQͨʹ
    NVIC_Init(&NVIC_InitStructure);	//ָĲʼVICĴ


}


void UART1_SendCode(u8 *DATA,u8 len)
{
    USART_ClearFlag(USART1,USART_FLAG_TC);    //֮ǰշͱ־  ûһ ׶ һ׶ʧ
    while(len--)
    {
        USART_SendData(USART1, *DATA++);
        while(USART_GetFlagStatus(USART1,USART_FLAG_TC)!=SET);//ȴͽ
    }
}

void USART1_IRQHandler(void)                	//1жϷ
{
    if(USART_GetITStatus(USART1, USART_IT_RXNE) != RESET)  //ж(յݱ0x0d 0x0aβ)
    {
		
    }
}






