#include "stm32f1xx_hal.h"
#include "usart.h"
#include "JQ8X00.h"
#include "delay.h"

/*****************************************************************************
*ȨϢмʿƼ޹˾
*ǰ汾V3.0
*MCU ͺţSTM32F1ȫϵ
*Keil uVision5
*ڣ2020-06-06
*    :JW
*:JQ8X00ϵ̣HAL
*˵1:JQ8X00ϵоƬȫJQ8X00.cļУļIOĻֲ
            ԼĹļֻ޸JQ8X00.hļеĶ塣JQ8X00.cڵúȫJQ8X00.h滻
          2ָʱһʱʱ
          3ָĿţϵͳļȺ˳ѶαĿ1 2 3 ...ļ00001 000002...
********************************************************************************/

uint8_t aRxBuffer;

void SystemClock_Config(void)
{
    RCC_OscInitTypeDef RCC_OscInitStruct;
    RCC_ClkInitTypeDef RCC_ClkInitStruct;

    RCC_OscInitStruct.OscillatorType = RCC_OSCILLATORTYPE_HSE;  // ⲿ8MHz
    RCC_OscInitStruct.HSEState = RCC_HSE_ON;
    RCC_OscInitStruct.HSEPredivValue = RCC_HSE_PREDIV_DIV1;
    RCC_OscInitStruct.PLL.PLLState = RCC_PLL_ON;
    RCC_OscInitStruct.PLL.PLLSource = RCC_PLLSOURCE_HSE;
    RCC_OscInitStruct.PLL.PLLMUL = RCC_PLL_MUL9;  // 9Ƶõ72MHzʱ
    HAL_RCC_OscConfig(&RCC_OscInitStruct);

    RCC_ClkInitStruct.ClockType = RCC_CLOCKTYPE_HCLK|RCC_CLOCKTYPE_SYSCLK
                                  |RCC_CLOCKTYPE_PCLK1|RCC_CLOCKTYPE_PCLK2;
    RCC_ClkInitStruct.SYSCLKSource = RCC_SYSCLKSOURCE_PLLCLK;       // ϵͳʱӣ72MHz
    RCC_ClkInitStruct.AHBCLKDivider = RCC_SYSCLK_DIV1;              // AHBʱӣ72MHz
    RCC_ClkInitStruct.APB1CLKDivider = RCC_HCLK_DIV2;               // APB1ʱӣ36MHz
    RCC_ClkInitStruct.APB2CLKDivider = RCC_HCLK_DIV1;               // APB2ʱӣ72MHz
    HAL_RCC_ClockConfig(&RCC_ClkInitStruct, FLASH_LATENCY_2);

    // HAL_RCC_GetHCLKFreq()/1000    1msжһ
    // HAL_RCC_GetHCLKFreq()/100000	 10usжһ
    // HAL_RCC_GetHCLKFreq()/1000000 1usжһ
    HAL_SYSTICK_Config(HAL_RCC_GetHCLKFreq()/1000);  // òϵͳδʱ
    /* ϵͳδʱʱԴ */
    HAL_SYSTICK_CLKSourceConfig(SYSTICK_CLKSOURCE_HCLK);
    /* ϵͳδʱжȼ */
    HAL_NVIC_SetPriority(SysTick_IRQn, 0, 0);
}

int main(void)
{
    char Path_Buffer[] = {"/1*/2*/00002"};         //· Ŀ¼->1->2 ļΪ00002Ƶļ
//    uint8_t ZH_Buffer[3] = {1,2,3};

    /* λ裬ʼFlashӿںϵͳδʱ */
    HAL_Init();
    /* ϵͳʱ */
    SystemClock_Config();
    delay_init(72);               		//ʼʱ
    /* ʼڲôжȼ */
    MX_UARTx_Init();

    JQ8x00_Init();
	HAL_Delay(500);              //ȴģȶ
	
	/*-----------ģʽµĲ-----------------*/
    JQ8x00_Command_Data(SetVolume,30);         //Ϊ30
    HAL_Delay(10);                               //ָһʱȴģ鴦һָ
    JQ8x00_Command_Data(AppointTrack,2);      //Ŀ2
//	HAL_Delay(10);
//    JQ8x00_ZuHeBoFang(ZH_Buffer,3);             //ZHļΪ01 02 033Ƶļβ
//    HAL_Delay(10);
    JQ8x00_RandomPathPlay(JQ8X00_FLASH,Path_Buffer);      // Ŀ¼->1->2 ļΪ00002Ƶļ
	
	/*-----------ģʽµĲ-----------------*/
	//ĬϿģʽģʽҪJQ8X00.hеĺ궨
//	OneLine_ZHControl(10,Volume);		 //Ϊ10
//	HAL_Delay(10);                               //ָһʱȴģ鴦һָ
//	OneLine_ZHControl(1,Track);					//Ŀһ
    while (1)
    {
    }
}

/**
  * : ڽɻص
  * : 
  *   ֵ: 
  * ˵    
  */
void HAL_UART_RxCpltCallback(UART_HandleTypeDef *UartHandle)
{
    HAL_UART_Transmit(&huartx,&aRxBuffer,1,0);
    HAL_UART_Receive_IT(&huartx,&aRxBuffer,1);
}
