#include "usart.h"

/* ˽Ͷ --------------------------------------------------------------*/
/* ˽к궨 ----------------------------------------------------------------*/
/* ˽б ------------------------------------------------------------------*/
UART_HandleTypeDef huartx;

/* չ ------------------------------------------------------------------*/
/* ˽кԭ --------------------------------------------------------------*/
/*  --------------------------------------------------------------------*/

/**
  * : Ӳʼ
  * : huartھָ
  *   ֵ: 
  * ˵    : úHALڲ
  */
void HAL_UART_MspInit(UART_HandleTypeDef* huart)
{

  GPIO_InitTypeDef GPIO_InitStruct;
  if(huart->Instance==UARTx)
  {
    /* ʱʹ */
    UART_RCC_CLK_ENABLE();
  
    /* 蹦GPIO */
    GPIO_InitStruct.Pin = UARTx_Tx_GPIO_PIN;
    GPIO_InitStruct.Mode = GPIO_MODE_AF_PP;
    GPIO_InitStruct.Speed = GPIO_SPEED_FREQ_HIGH;
    HAL_GPIO_Init(UARTx_Tx_GPIO, &GPIO_InitStruct);

    GPIO_InitStruct.Pin = UARTx_Rx_GPIO_PIN;
    GPIO_InitStruct.Mode = GPIO_MODE_INPUT;
    GPIO_InitStruct.Pull = GPIO_NOPULL;
    HAL_GPIO_Init(UARTx_Rx_GPIO, &GPIO_InitStruct);
  }
}

/**
  * : Ӳʼ
  * : huartھָ
  *   ֵ: 
  * ˵    : úHALڲ
  */
void HAL_UART_MspDeInit(UART_HandleTypeDef* huart)
{

  if(huart->Instance==UARTx)
  {
    /* ʱӽ */
    UART_RCC_CLK_DISABLE();
  
    /* 蹦GPIO */
    HAL_GPIO_DeInit(UARTx_Tx_GPIO, UARTx_Tx_GPIO_PIN);
    HAL_GPIO_DeInit(UARTx_Rx_GPIO, UARTx_Rx_GPIO_PIN);
    
    /* жϽ */
    HAL_NVIC_DisableIRQ(UARTx_IRQn);
  }
}

/**
  * : NVIC
  * : 
  *   ֵ: 
  * ˵    : 
  */
static void MX_NVIC_UARTx_Init(void)
{
  /* USART1_IRQn interrupt configuration */
  HAL_NVIC_SetPriority(UARTx_IRQn, 1, 0);
  HAL_NVIC_EnableIRQ(UARTx_IRQn);
}

/**
  * : ڲ.
  * : 
  *   ֵ: 
  * ˵    
  */
void MX_UARTx_Init(void)
{
  /* ʹܴڹGPIOʱ */
  UARTx_GPIO_ClK_ENABLE();
  
  huartx.Instance = UARTx;
  huartx.Init.BaudRate = UARTx_BAUDRATE;
  huartx.Init.WordLength = UART_WORDLENGTH_8B;
  huartx.Init.StopBits = UART_STOPBITS_1;
  huartx.Init.Parity = UART_PARITY_NONE;
  huartx.Init.Mode = UART_MODE_TX_RX;
  huartx.Init.HwFlowCtl = UART_HWCONTROL_NONE;
  huartx.Init.OverSampling = UART_OVERSAMPLING_16;
  HAL_UART_Init(&huartx);
  
  /* ôжϲʹܣҪHAL_UART_Initִ޸ĲЧ */
  MX_NVIC_UARTx_Init();
}

