#ifndef __USART_H__
#define __USART_H__

/* ͷļ ----------------------------------------------------------------*/
#include "stm32f1xx_hal.h"

/* Ͷ ------------------------------------------------------------------*/
/* 궨 --------------------------------------------------------------------*/
#define UARTx                                 USART1
#define UARTx_BAUDRATE                        9600
#define UART_RCC_CLK_ENABLE()                 __HAL_RCC_USART1_CLK_ENABLE()
#define UART_RCC_CLK_DISABLE()                __HAL_RCC_USART1_CLK_DISABLE()

#define UARTx_GPIO_ClK_ENABLE()               __HAL_RCC_GPIOA_CLK_ENABLE()
#define UARTx_Tx_GPIO_PIN                     GPIO_PIN_9
#define UARTx_Tx_GPIO                         GPIOA
#define UARTx_Rx_GPIO_PIN                     GPIO_PIN_10
#define UARTx_Rx_GPIO                         GPIOA

#define UARTx_IRQHANDLER                      UART1_IRQHandler
#define UARTx_IRQn                            USART1_IRQn


/* չ ------------------------------------------------------------------*/
extern UART_HandleTypeDef huartx;

/*  ------------------------------------------------------------------*/
void MX_UARTx_Init(void);


#endif

