#include "public.h"
#include "UART0.h"

unsigned char Uart1_Busy = 0;       //1æ־λ

/************************************************************************
	һʼ
ڲ 	none
  ֵ  none
˵  none
**************************************************************************/
void InitialUART0_Timer1(uint32_t u32Baudrate)    //T1M = 1, SMOD = 1
{
    P06_Quasi_Mode;		//Setting UART pin as Quasi mode for transmit
    P07_Quasi_Mode;		//Setting UART pin as Quasi mode for transmit

    SCON = 0x50;     	//UART0 Mode1,REN=1,TI=1
    TMOD |= 0x20;    	//Timer1 Mode1

    set_SMOD;        	//UART0 Double Rate Enable
    set_T1M;
    clr_BRCK;        	//Serial port 0 baud rate clock source = Timer1
    TH1 = 256 - (1000000/u32Baudrate+1);               /*16 MHz */
    set_TR1;
    clr_TI;						//For printf function must setting TI = 1
    clr_RI;
    set_ES;
    set_EA;
}

/************************************************************************
	1ֽڷ
ڲ 	none
  ֵ  none
˵  none
**************************************************************************/
void UART0_SendByte(uint_8 dat)
{
    while (Uart1_Busy);               //ȴǰݷ
    Uart1_Busy = 1;
    SBUF  = dat;                //дݵUART1ݼĴ
}


/************************************************************************
	ֽڷ
ڲ 	none
  ֵ  none
˵  none
**************************************************************************/
void UART0_SendCode(char *s,uint_8 Len)
{
    while (Len--)                  //ַ־
    {
        UART0_SendByte(*s++);         //͵ǰַ
    }
}


/************************************************************************
	0жϴ
ڲ 	none
  ֵ  none
˵  none
**************************************************************************/
void USART0_IRQHandler() interrupt 4
{
    if (RI)
    {
        RI = 0;                 //RIλ
    }
    if (TI)
    {
        TI = 0;                 //TIλ
        Uart1_Busy = 0;               //æ־
    }
}

